> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rwa.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

> How to authenticate with the RWA API

All API requests require authentication using a Bearer token in the `Authorization` header.

## Obtaining an API Key

Login to your account at [https://app.rwa.xyz/login](https://app.rwa.xyz/login) and navigate to the API Tools section: [https://app.rwa.xyz/tools/api/api-keys](https://app.rwa.xyz/tools/api/api-keys).

If you do not have access to the API Tools section, contact us at [team@rwa.xyz](mailto:team@rwa.xyz) to request access.

Enter a name for your API key and click "Create API Key".

## Authorization Header Format

```
Authorization: Bearer YOUR_API_KEY
```

## Example Request

```bash theme={null}
curl -X GET "https://api.rwa.xyz/v4/tokens" \
  -H "Authorization: Bearer $RWA_API_KEY"
```

## Error Responses

### Missing Authorization Header

**Status Code:** `401 Unauthorized`

```json theme={null}
{
  "message": "Authorization header missing. Please include a valid API key."
}
```

### Invalid API Key

**Status Code:** `401 Unauthorized`

```json theme={null}
{
  "message": "Invalid API key. Please ensure that the API key is correct and try again."
}
```
